/* Sticky footer styles
-------------------------------------------------- */

html {
  position: relative;
  min-height: 100%;
}
body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  vertical-align: middle;
  text-align: center;
  /* Set the fixed height of the footer here */
  height: 50px;
  line-height: 50px; /* Vertically center the text there */
  background-color: #f5f5f5;
}

.container .text-muted {
  margin: 20px 0;
}


/* CSS used here will be applied after bootstrap.css */
@media only screen and (min-width : 481px) {
    .row.equal-height {
        display: flex;
        flex-wrap: wrap;
    }
    .row.equal-height > [class*='col-'] {
        display: flex;
        flex-direction: column;
    }
    .row.equal-height.row:after,
    .row.equal-height.row:before {
        display: flex;
    }

    .row.equal-height > [class*='col-'] > .thumbnail,
    .row.equal-height > [class*='col-'] > .thumbnail > .caption {
        display: flex;
        flex: 1 0 auto;
        flex-direction: column;
    }
    .row.equal-height > [class*='col-'] > .thumbnail > .caption > .flex-text {
        flex-grow: 1;
    }
    .row.equal-height > [class*='col-'] > .thumbnail > img {
        width: 100%;
        height: 200px; /* force image's height */

        /* force image fit inside it's "box" */
        -webkit-object-fit: cover;
           -moz-object-fit: cover;
            -ms-object-fit: cover;
             -o-object-fit: cover;
                object-fit: cover;
    }
}

.thumbnail img {
    width: 100%;
}

.thumbnail {
    padding: 0;
}

.thumbnail .caption-full {
    padding: 9px;
}

table.dataTable th,
table.dataTable td {
  white-space: nowrap;
}

.table.table-borderless td, .table.table-borderless th {
    border: 0 !important;
    vertical-align: middle;
    text-align: left;
}

.table.table-borderless {
    margin-bottom: 0;
}

.top-buffer {
  margin-top:20px;
}

.no-border {
    border: 0;
    box-shadow: none; /* You may want to include this as bootstrap applies these styles too */
}

/* Flexbox grid fix */
.flex-wrap {
  display:flex;
  flex-wrap: wrap;
}

@media ( min-width : 600px) {
  #assetInfo {
    background: #A1FFCE;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #FAFFD1, #A1FFCE);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #FAFFD1, #A1FFCE); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    }
}
